MsWrdText.cxx File Reference documentation

Classes | Namespaces | Macros | Functions
MsWrdText.cxx File Reference
`#include <algorithm>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <set>`
`#include <sstream>`
`#include <fstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWCell.hxx"`
`#include "MWAWTextListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWTable.hxx"`
`#include "MsWrdParser.hxx"`
`#include "MsWrdStruct.hxx"`
`#include "MsWrdText.hxx"`

## Classes
struct | MsWrdTextInternal::TextStruct
| Internal: the entry of MsWrdParser. More...
struct | MsWrdTextInternal::TextStruct::CompareFilePos
| a struct used to compare file textpos More...
struct | MsWrdTextInternal::Page
| Internal: the page. More...
struct | MsWrdTextInternal::Footnote
| Internal: the footnote. More...
struct | MsWrdTextInternal::Field
| Internal: the field of MsWrdParser. More...
struct | MsWrdTextInternal::Property
| Internal: a list of plc. More...
struct | MsWrdTextInternal::Line
| Internal and low level: a structure to store a line or a cell of a MsWrdText. More...
struct | MsWrdTextInternal::Table
| Internal and low level: a structure to store a table of a MsWrdText. More...
struct | MsWrdTextInternal::State
| Internal: the state of a MsWrdParser. More...

## Namespaces
namespace | MsWrdTextInternal
| Internal: the structures of a MsWrdText.

## Macros
#define | DEBUG_FONT 1
#define | DEBUG_PLC 1
#define | DEBUG_PAGE 1
#define | DEBUG_PARAGRAPH 1
#define | DEBUG_SECTION 1
#define | DEBUG_PARAGRAPHINFO 1

## Functions
std::ostream & | operator<< (std::ostream &o, MsWrdText::PLC const &plc)

## Macro Definition Documentation

## ◆ DEBUG_FONT

#define DEBUG_FONT 1

## ◆ DEBUG_PAGE

#define DEBUG_PAGE 1

## ◆ DEBUG_PARAGRAPH

#define DEBUG_PARAGRAPH 1

## ◆ DEBUG_PARAGRAPHINFO

#define DEBUG_PARAGRAPHINFO 1

## ◆ DEBUG_PLC

#define DEBUG_PLC 1

## ◆ DEBUG_SECTION

#define DEBUG_SECTION 1

## Function Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | o,
|  | MsWrdText::PLC const & | plc )